OpenPACE

Data Fields
cvc_pubkey_st Struct Reference

Public key data object which may contain domain parameters. More...

`#include <cv_cert.h>`

## Data Fields
ASN1_OBJECT * | oid
| Object Identifier which specifies the exact protocol to be used during TA.
ASN1_OCTET_STRING * | cont1
| Composite modulus (RSA)/prime modulus (DH, EC)
ASN1_OCTET_STRING * | cont2
| Public exponent (RSA)/order of the Subgroup (DH)/first coefficient (EC)
ASN1_OCTET_STRING * | cont3
| Order of the subgroup (DH)/second coefficient (EC)
ASN1_OCTET_STRING * | cont4
| Generator (DH)/base point (EC)
ASN1_OCTET_STRING * | cont5
| Public value (DH)/order of the base point (EC)
ASN1_OCTET_STRING * | cont6
| Public point (EC)
ASN1_OCTET_STRING * | cont7
| Cofactor (EC)

## Detailed Description

Public key data object which may contain domain parameters.

This data structure is used for defined public keys (RSA public key, DH public key, EC public key).

See also
  TR-03110 D.3.

Definition at line 120 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h